---
title: Document.referrer
slug: Web/API/Document/referrer
tags:
  - API
  - Document
  - HTML DOM
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>Document.referrer</code></strong> property returns the <a href="http://www.w3.org/Addressing/#background">URI</a> of the page that linked to this page.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>referrer</var> = <var>document</var>.referrer;
</pre>

<h3 id="Value">Value</h3>

<p>The value is an empty string if the user navigated to the page directly (not through a link, but, for example, by using a bookmark). Because this property returns only a string, it doesn't give you document object model (DOM) access to the referring page.</p>

<p>Inside an {{HTMLElement("iframe")}}, the <code>Document.referrer</code> will initially be set to the same value as the {{domxref("HTMLHyperlinkElementUtils/href", "href")}} of the parent window's {{domxref("Window/location", "Window.location")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-document-referrer-dev', 'document.referrer')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.Document.referrer")}}</div>
